# class ActionDispatch::RailsEntityStore

### Public Class Methods

new(store = RAILS_CACHE) click to toggle source

    # File lib/action_dispatch/http/rack_cache.rb, line 36
    def initialize(store = RAILS_CACHE)
      @store = store
    end

resolve(uri) click to toggle source

    # File lib/action_dispatch/http/rack_cache.rb, line 32
    def self.resolve(uri)
      new
    end

### Public Instance Methods

exist?(key) click to toggle source

    # File lib/action_dispatch/http/rack_cache.rb, line 40
    def exist?(key)
      @store.exist?(key)
    end

open(key) click to toggle source

    # File lib/action_dispatch/http/rack_cache.rb, line 44
    def open(key)
      @store.read(key)
    end

read(key) click to toggle source

    # File lib/action_dispatch/http/rack_cache.rb, line 48
    def read(key)
      body = open(key)
      body.join if body
    end

write(body) click to toggle source

    # File lib/action_dispatch/http/rack_cache.rb, line 53
    def write(body)
      buf = []
      key, size = slurp(body) { |part| buf << part }
      @store.write(key, buf)
      [key, size]
    end